<mat-toolbar color="primary" style="opacity: 0; z-index: -100">
  <div class="mobile-design" fxShow="true" fxHide.gt-sm="true">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
  </div>

  <a mat-button class="companyName" routerLink="/mon-profil">
    <span>{{edition}} </span>
  </a>
  <mat-icon class="material-icons-outlined" (click)="logout()" style="cursor: pointer">logout</mat-icon>
  <span class="example-spacer"></span>
  <div class="computer-design" fxShow="true" fxHide.lt-md="true">
    <a mat-button routerLink="/mon-profil">Mon profil</a>
    <a mat-button routerLink="/infos">Infos</a>
    <a mat-button routerLink="/mes-achats">Mes achats</a>
    <a mat-button routerLink="/mes-dettes">Mes dettes</a>
  </div>

</mat-toolbar>
<mat-toolbar color="primary" style="position: fixed;top: 0; z-index: 100">
  <div class="mobile-design" fxShow="true" fxHide.gt-sm="true">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
  </div>

  <a mat-button class="companyName" routerLink="/mon-profil">
    <span>{{edition}} </span>
  </a>
  <mat-icon class="material-icons-outlined" (click)="logout()" style="cursor: pointer">logout</mat-icon>
  <span class="example-spacer"></span>
  <div class="computer-design" fxShow="true" fxHide.lt-md="true">
    <a mat-button routerLink="/mon-profil">Mon profil</a>
    <a mat-button routerLink="/infos">Infos</a>
    <a mat-button routerLink="/mes-achats">Mes achats</a>
    <a mat-button routerLink="/mes-dettes">Mes dettes</a>
  </div>

</mat-toolbar>
<!--<span matripple="" class="mat-ripple mat-button-ripple" ng-reflect-disabled="false" ng-reflect-centered="false" ng-reflect-trigger="http://localhost:4200/#/mon-pr">-->
<!--  <div class="mat-ripple-element" style="left: -2.57652px; top: -52.4744px; height: 142.99px; width: 142.99px; transition-duration: 450ms; transform: scale(1);"></div>-->
<!--</span>-->
<mat-sidenav-container fxFlexFill class="example-container">

  <mat-sidenav class="mobile-design" color="primary" #sidenav fxLayout="column" mode="over"  opened="false" fxHide.gt-sm="true">
    <div fxLayout="column">
      <div class="custom-button" [class.selected-menu]="this.router.url === '/mon-profil'">
        <a routerLink="/mon-profil">Mon profil</a>
      </div>
      <div class="custom-button" [class.selected-menu]="this.router.url === '/infos'">
        <a routerLink="/infos">Infos</a>
      </div>
      <div class="custom-button" [class.selected-menu]="this.router.url === '/mes-achats'">
        <a routerLink="/mes-achats">Mes achats</a>
      </div>
      <div class="custom-button" [class.selected-menu]="this.router.url === '/mes-dettes'">
        <a routerLink="/mes-dettes">Mes dettes</a>
      </div>

    </div>
  </mat-sidenav>
  <mat-sidenav-content fxFlexFill>
    <ng-container [ngTemplateOutlet]="mainContent"></ng-container>
  </mat-sidenav-content>
</mat-sidenav-container>




